KausateKausate Docs
Search
Viewing API version 2026-05-01. View the latest version.

Search Companies

Place a live company search order against official business registries.

POST
/v2/companies/search
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Query Parameters

batch?boolean

Mark as a batch/backfill request. Batch requests run at lowest priority to avoid blocking interactive queries.

Defaultfalse

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate
X-Customer-Id?|

Optional customer ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.kausate.com/v2/companies/search" \  -H "Kausate-Version: 2026-05-01" \  -H "Content-Type: application/json" \  -d '{    "companyName": "Lindt",    "jurisdictionCode": "de"  }'
{
  "orderId": "de-live-search-lindt-20240319143022",
  "customerReference": "search-ref-123",
  "metadata": {
    "team": "kyb",
    "ticket": "ACME-42"
  },
  "cachedOrder": false,
  "resultUrl": "/v2/companies/search/de-live-search-lindt-20240319143022"
}
{
  "detail": "Invalid company ID format",
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Not authenticated",
  "code": "auth.unauthorized",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Invalid API key",
  "code": "auth.forbidden",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": [
    {
      "loc": [
        "body",
        "jurisdictionCode"
      ],
      "msg": "Field required",
      "type": "missing"
    }
  ],
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Rate limit exceeded, please try again later",
  "code": "source.rate_limited",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "An internal error occurred",
  "code": "internal.unexpected",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "This capability is not available for this jurisdiction",
  "code": "capability.not_available",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Network connection error",
  "code": "source.network_error",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Data source temporarily unavailable",
  "code": "source.unavailable",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}

Last updated on